#include <stdio.h>

main()
{
  long num;

  num = 1;  
  printf ("before swap = %ld\n", num);
  swapwd(&num);
  printf ("after swap = %ld\n", num);
}
swapwd(dbl0) /* swap words of a long constant */
  unsigned *dbl0;
{
  unsigned temp, *dbl1;

  dbl1 = dbl0 + 1;
  printf ("dbl0(num) = %u, dbl1 = %u\n", *dbl0, *dbl1);
  temp = *dbl0;
  *dbl0 = *dbl1;
  *dbl1 = temp;
}

